package org.bench4q.share.models.master.plugin;

import java.util.List;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement
public class ParamsContainerModel {
	private String name;
	private String nameCN;
	private List<ParamInfoModel> paramInfoModels;

	@XmlElement
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@XmlElement
	public String getNameCN() {
		return nameCN;
	}

	public void setNameCN(String nameCN) {
		this.nameCN = nameCN;
	}

	@XmlElementWrapper
	@XmlElement(name = "paramInfoModel", type = ParamInfoModel.class)
	public List<ParamInfoModel> getParamInfoModels() {
		return paramInfoModels;
	}

	public void setParamInfoModels(List<ParamInfoModel> paramInfoModels) {
		this.paramInfoModels = paramInfoModels;
	}

}
